Package org.bukkit.block.data.type

# Interface Switch

All Superinterfaces:
  `BlockData`, `Cloneable`, `Directional`, `FaceAttachable`, `Powerable`

public interface Switch extends Directional, FaceAttachable, Powerable

## Nested Class Summary

Nested Classes
Modifier and Type
Interface
Description
`static enum`
`Switch.Face`
Deprecated.
use `FaceAttachable.AttachedFace`

## Nested classes/interfaces inherited from interface org.bukkit.block.data.FaceAttachable

`FaceAttachable.AttachedFace`

## Method Summary

Modifier and Type
Method
Description
`@NotNull Switch.Face`
`getFace()`
Deprecated.
use `FaceAttachable.getAttachedFace()`
`void`
`setFace(@NotNull Switch.Face face)`
Deprecated.
use `FaceAttachable.getAttachedFace()`

### Methods inherited from interface org.bukkit.block.data.BlockData

`clone, getAsString, getAsString, getMaterial, getSoundGroup, matches, merge`

### Methods inherited from interface org.bukkit.block.data.Directional

`getFaces, getFacing, setFacing`

### Methods inherited from interface org.bukkit.block.data.FaceAttachable

`getAttachedFace, setAttachedFace`

### Methods inherited from interface org.bukkit.block.data.Powerable

`isPowered, setPowered`

## Method Details

### getFace

@NotNull @Deprecated @NotNull Switch.Face getFace()
Deprecated.
use `FaceAttachable.getAttachedFace()`
Gets the value of the 'face' property.

Returns:
  the 'face' value

### setFace

@Deprecated void setFace(@NotNull @NotNull Switch.Face face)
Deprecated.
use `FaceAttachable.getAttachedFace()`
Sets the value of the 'face' property.

Parameters:
  `face` - the new 'face' value